using System;
using System.Collections.Generic;
using System.Text;

namespace Eve.Data
{
    public class AgentType : EveProperty
    {
        private string agentType;

        public string Type
        {
            get { return agentType; }
        }

        internal AgentType(DbDataRow dr)
            : base(dr.Database, EvePropertyType.AgentType, dr["agentTypeID"])
        {
            Fill(dr);
        }
        internal AgentType(Database db, int id) 
            : base(db, EvePropertyType.AgentType, id)
        {
            Fill(db.ExecuteSingle("SELECT * FROM agtAgentTypes WHERE agentTypeID=" + id));
        }

        private void Fill(DbDataRow dr)
        {
            agentType = dr["agentType"];
        }
    }
}
