using System;
using System.Collections.Generic;
using System.Text;

namespace Eve.Data
{
    public class RAMActivity : EveProperty
    {
        private string activityName;
        private string iconNo;
        private string description;
        private bool published;

        public string Name
        {
            get { return activityName; }
        }
        public string Icon
        {
            get { return iconNo; }
        }
        public string Description
        {
            get { return description; }
        }
        public bool Published
        {
            get { return published; }
        }

        internal RAMActivity(DbDataRow dr)
            : base(dr.Database, EvePropertyType.RAMActivity, dr["activityID"])
        {
            Fill(dr);
        }
        internal RAMActivity(Database db, int id)
            : base(db, EvePropertyType.RAMActivity, id)
        {
            Fill(db.ExecuteSingle("SELECT * FROM ramActivities WHERE activityID=" + id));
        }

        private void Fill(DbDataRow dr)
        {
            activityName = dr["activityName"];
            iconNo = dr["iconNo"];
            description = dr["description"];
            published = dr["published"];
        }
    }
}
