using System;
using System.Collections.Generic;
using System.Text;

namespace Eve.Data
{
    public class RAMCompletedStatus : EveProperty
    {
        private string completedStatusText;
        private string description;

        public string Text
        {
            get { return completedStatusText; }
        }
        public string Description
        {
            get { return description; }
        }

        internal RAMCompletedStatus(DbDataRow dr)
            : base(dr.Database, EvePropertyType.RAMCompletedStatus, dr["completedStatus"])
        {
            Fill(dr);
        }
        internal RAMCompletedStatus(Database db, int id)
            : base(db, EvePropertyType.RAMCompletedStatus, id)
        {
            Fill(db.ExecuteSingle("SELECT * FROM ramCompletedStatuses WHERE completedStatus=" + id));
        }

        private void Fill(DbDataRow dr)
        {
            completedStatusText = dr["completedStatusText"];
            description = dr["description"];
        }
    }
}
